# encoding: utf-8
# 广告位置配置
class CreateAdPositions < ActiveRecord::Migration
  def up
  	create_table :ad_positions do |t|
      #广告位置标识符
      t.string   :code,  :null => false
      #广告位置名称
      t.string   :name,  :null => false
      #广告位置描述
      t.string   :remark,  :null => false
      #该广告位被点击的总次数
      t.integer  :click_times,  :default => 0,:comment => 0
      #广告位招租图片
      t.text   :img, :null => false
      #图片点击链接
      t.text   :click_url
      #是否使用
      t.boolean :state, :default => true


      t.timestamps
    end
    add_index :ad_positions, :code, :unique => true
    add_index :ad_positions, :click_times
  end

  def down
    drop_table :ad_positions
  end
end
